Name:           ces11-python3-books
Version:        1.0
Release:        2%{?dist}
Summary:        Collected Python 3 resources for kids for CES Enrichment 2011 class

License:        CC BY-NC-SA 3.0
#URL:           Various
Source0:        books.tar.gz
Source1:        gorilla.py
Source2:        guess.py
BuildArch:      noarch


%description
This package contains two Python 3 books for the CES Enrichment 2011
class. The CC BY-NC-SA licensing means they cannot be included in
Fedora itself.  The books can be found at their original sites here:

* Snake Wrangling:
  http://www.briggs.net.nz/log/writing/snake-wrangling-for-kids
* Invent Your Own Computer Games with Python:
  http://inventwithpython.com


%prep
%setup -q -n books


%build
# Nothing here really
cp %{SOURCE1} .
cp %{SOURCE2} .


%install
rm -rf $RPM_BUILD_ROOT
test -d $RPM_BUILD_ROOT%{_sysconfdir}/skel || \
  mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/skel
for F in *.pdf
do
  ln -s %{_docdir}/%{name}-%{version}/$F $RPM_BUILD_ROOT%{_sysconfdir}/skel/
done
test -d $RPM_BUILD_ROOT%{_sysconfdir}/skel/Documents || \
  mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/skel/Documents
for F in *.py
do
  ln -s %{_docdir}/%{name}-%{version}/$F $RPM_BUILD_ROOT%{_sysconfdir}/skel/Documents
done


%files
%doc *.pdf *.py
%{_sysconfdir}/skel/*


%changelog
* Fri Oct 21 2011 Paul W. Frields <stickster@gmail.com> - 1.0-1
- Initial RPM package

